=== debian/control ===
Source: sddm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michał Zając <quintasan@kubuntu.org>
Build-Depends: cmake (>= 2.8.8),
               debhelper (>= 9),
               dh-systemd [linux-any],
               libpam0g-dev,
               libsystemd-login-dev,
               libupower-glib-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               pkg-config,
               qtbase5-dev,
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               systemd [linux-any]
Standards-Version: 3.9.6
Homepage: https://github.com/sddm/sddm
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/sddm.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/sddm.git

Package: sddm
Architecture: any
Depends: adduser,
         qml-module-qtquick2,
         sddm-theme-breeze | sddm-theme,
         ${misc:Depends},
         ${shlibs:Depends}
Description: modern display manager for X11
 SDDM is a modern display manager for X11 aiming to be fast, simple
 and beautiful. It uses modern technologies like QtQuick to create
 smooth, animated user interfaces.

Package: sddm-theme-maui
Architecture: all
Depends: ${misc:Depends}
Recommends: sddm
Provides: sddm-theme
Description: 'Maui' theme for SDDM X11 display manager
 Maui theme for SDDM

Package: sddm-theme-circles
Architecture: all
Depends: ${misc:Depends}
Recommends: sddm
Provides: sddm-theme
Description: 'Circles' theme for SDDM X11 display manager
 Circles theme for SDDM

Package: sddm-theme-elarun
Architecture: all
Depends: ${misc:Depends}
Recommends: sddm
Provides: sddm-theme
Description: 'Elarun' Theme for SDDM X11 display manager
 Elarun theme for SDDM

Package: sddm-theme-maldives
Architecture: all
Depends: ${misc:Depends}
Recommends: sddm
Provides: sddm-theme
Description: 'Maldives' theme for SDDM X11 display manager
 Maldives theme for SDDM

Package: sddm-dbg
Depends: sddm (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Section: debug
Priority: extra
Description: modern display manager for X11 -- debugging symbols
 SDDM is a modern display manager for X11 aiming to be fast, simple
 and beautiful. It uses modern technologies like QtQuick to create
 smooth, animated user interfaces.
 .
 Debugging symbols for SDDM
