=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
WITH_SYSTEMD := $(shell dpkg-architecture -qDEB_HOST_ARCH -ilinux-any && echo --with systemd)

%:
	dh $@ ${WITH_SYSTEMD} --parallel

override_dh_strip:
	dh_strip --dbg-package=sddm-dbg

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_QT5=TRUE -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/${DEB_HOST_MULTIARCH}/sddm

override_dh_systemd_start:
	dh_systemd_start -psddm --no-start -r sddm.service

override_dh_installinit:
	dh_installinit --no-start

override_dh_installpam:
	dh_installpam
	dh_installpam --name=sddm-autologin
	dh_installpam --name=sddm-greeter
