=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*/)?v?(\d[\d.]*)\.tar\.gz/sddm-$1.tar.gz/" \
         https://github.com/sddm/sddm/tags (?:.*/)?v?(\d[\d.]*)\.tar\.gz
