=== data/translations/CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,29 @@
 set(TRANSLATION_FILES
+    ar.ts
     cs.ts
     de.ts
+    es.ts
     et.ts
     fi.ts
     fr.ts
+    hu.ts
     it.ts
     ja.ts
+    ko.ts
+    lt.ts
+    lv.ts
     pl.ts
     pt_BR.ts
     pt_PT.ts
     ro.ts
+    sr.ts
+    sr@ijekavian.ts
+    sr@ijekavianlatin.ts
+    sr@latin.ts
     ru.ts
     tr.ts
     zh_CN.ts
-    lt.ts
+    zh_TW.ts
 )
 
 qt5_add_translation(QM_FILES ${TRANSLATION_FILES})
