=== data/themes/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(THEMES circles elarun maldives maui)
+set(THEMES elarun maldives)
 
 foreach(THEME ${THEMES})
     # We assume that theme-specific translations are stored
