=== data/translations/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 set(TRANSLATION_FILES
     ar.ts
+    ca.ts
     cs.ts
     de.ts
     es.ts
@@ -12,6 +13,8 @@
     ko.ts
     lt.ts
     lv.ts
+    nb.ts
+    nn.ts
     pl.ts
     pt_BR.ts
     pt_PT.ts
@@ -20,6 +23,7 @@
     sr@ijekavian.ts
     sr@ijekavianlatin.ts
     sr@latin.ts
+    sv.ts
     ru.ts
     tr.ts
     zh_CN.ts
