=== src/daemon/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,8 @@
     ${CMAKE_SOURCE_DIR}/src/common/Configuration.cpp
     ${CMAKE_SOURCE_DIR}/src/common/SafeDataStream.cpp
     ${CMAKE_SOURCE_DIR}/src/common/ConfigReader.cpp
+    ${CMAKE_SOURCE_DIR}/src/common/ThemeConfig.cpp
+    ${CMAKE_SOURCE_DIR}/src/common/ThemeMetadata.cpp
     ${CMAKE_SOURCE_DIR}/src/common/Session.cpp
     ${CMAKE_SOURCE_DIR}/src/common/SocketWriter.cpp
     ${CMAKE_SOURCE_DIR}/src/auth/Auth.cpp
@@ -32,16 +34,28 @@
 qt5_add_dbus_adaptor(DAEMON_SOURCES "${CMAKE_SOURCE_DIR}/data/interfaces/org.freedesktop.DisplayManager.Session.xml"  "DisplayManager.h" SDDM::DisplayManagerSession)
 
 add_executable(sddm ${DAEMON_SOURCES})
-target_link_libraries(sddm ${LIBXCB_LIBRARIES})
+target_link_libraries(sddm
+                      Qt5::DBus
+                      Qt5::Network
+                      Qt5::Qml
+                      ${LIBXCB_LIBRARIES})
 if(PAM_FOUND)
     target_link_libraries(sddm ${PAM_LIBRARIES})
 else()
     target_link_libraries(sddm crypt)
 endif()
-qt5_use_modules(sddm DBus Network Qml)
 
 if(JOURNALD_FOUND)
     target_link_libraries(sddm ${JOURNALD_LIBRARIES})
 endif()
 
 install(TARGETS sddm DESTINATION "${CMAKE_INSTALL_BINDIR}")
+
+# Generate and install the default config file
+add_custom_command(COMMAND sddm --example-config > "${CMAKE_BINARY_DIR}/sddm.conf"
+    OUTPUT "${CMAKE_BINARY_DIR}/sddm.conf"
+    COMMENT "Generate default sddm.conf file"
+    DEPENDS sddm
+)
+add_custom_target(generate_config_file ALL DEPENDS "${CMAKE_BINARY_DIR}/sddm.conf")
+install(FILES "${CMAKE_BINARY_DIR}/sddm.conf" DESTINATION "${CMAKE_INSTALL_FULL_SYSCONFDIR}")
