=== src/greeter/CMakeLists.txt ===
--- 
+++ 
@@ -6,21 +6,28 @@
     ${CMAKE_SOURCE_DIR}/src/common/ConfigReader.cpp
     ${CMAKE_SOURCE_DIR}/src/common/Session.cpp
     ${CMAKE_SOURCE_DIR}/src/common/SocketWriter.cpp
+    ${CMAKE_SOURCE_DIR}/src/common/ThemeConfig.cpp
+    ${CMAKE_SOURCE_DIR}/src/common/ThemeMetadata.cpp
     GreeterApp.cpp
     GreeterProxy.cpp
     KeyboardLayout.cpp
     KeyboardModel.cpp
     ScreenModel.cpp
     SessionModel.cpp
-    ThemeConfig.cpp
-    ThemeMetadata.cpp
     UserModel.cpp
     XcbKeyboardBackend.cpp
 )
 
-add_executable(sddm-greeter ${GREETER_SOURCES})
-target_link_libraries(sddm-greeter ${LIBXCB_LIBRARIES} ${LIBXKB_LIBRARIES})
-qt5_use_modules(sddm-greeter Quick)
+configure_file("theme/Main.qml"                  "theme/Main.qml")
+configure_file("theme.qrc"                       "theme.qrc")
+
+qt5_add_resources(RESOURCES ${CMAKE_CURRENT_BINARY_DIR}/theme.qrc)
+
+add_executable(sddm-greeter ${GREETER_SOURCES} ${RESOURCES})
+target_link_libraries(sddm-greeter
+                      Qt5::Quick
+                      ${LIBXCB_LIBRARIES}
+                      ${LIBXKB_LIBRARIES})
 
 if(JOURNALD_FOUND)
     target_link_libraries(sddm-greeter ${JOURNALD_LIBRARIES})
