=== debian/control ===
Source: sddm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michał Zając <quintasan@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.8),
               debhelper (>= 9),
               dh-systemd [linux-any],
               extra-cmake-modules (>= 1.4.0~),
               libpam0g-dev,
               libsystemd-dev [linux-any],
               libupower-glib-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkg-config,
               python-docutils,
               qtbase5-dev (>= 5.6.0~),
               qtdeclarative5-dev (>= 5.6.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.6.0~),
               systemd [linux-any]
Standards-Version: 3.9.8
Homepage: https://github.com/sddm/sddm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm

Package: sddm
Architecture: any
Depends: adduser,
         qml-module-qtquick2,
         x11-common,
         xserver-xorg | xserver,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libpam-systemd, sddm-theme-breeze | sddm-theme
Suggests: libpam-kwallet5
Provides: x-display-manager
Description: modern display manager for X11
 SDDM is a modern display manager for X11 aiming to be fast, simple
 and beautiful. It uses modern technologies like QtQuick to create
 smooth, animated user interfaces.

Package: sddm-theme-maui
Architecture: all
Depends: ${misc:Depends}
Recommends: sddm
Provides: sddm-theme
Breaks: sddm (<< ${source:Version})
Description: 'Maui' theme for SDDM X11 display manager
 Maui theme for SDDM

Package: sddm-theme-debian-maui
Architecture: all
Depends: desktop-base, ${misc:Depends}
Recommends: sddm
Provides: sddm-theme
Breaks: sddm (<< ${source:Version})
Description: 'Debian Maui' theme for SDDM X11 display manager
 Maui theme for SDDM, using the active desktop-base theme for the
 background

Package: sddm-theme-elarun
Architecture: all
Depends: ${misc:Depends}
Recommends: sddm
Provides: sddm-theme
Breaks: sddm (<< ${source:Version})
Description: 'Elarun' Theme for SDDM X11 display manager
 Elarun theme for SDDM

Package: sddm-theme-debian-elarun
Architecture: all
Depends: desktop-base, ${misc:Depends}
Recommends: sddm
Provides: sddm-theme
Breaks: sddm (<< ${source:Version})
Description: 'Debian Elarun' Theme for SDDM X11 display manager
 Elarun theme for SDDM, using the active desktop-base theme for the
 background.

Package: sddm-theme-maldives
Architecture: all
Depends: ${misc:Depends}
Breaks: sddm (<< ${source:Version})
Recommends: sddm
Provides: sddm-theme
Description: 'Maldives' theme for SDDM X11 display manager
 Maldives theme for SDDM
